Bug 1258068 - [Docs] [Director] Need to document how to replace a controller node
[Docs] [Director] Need to document how to replace a controller node
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: y2
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks: 1280331
  Show dependency treegraph
 
Reported: 2015-08-28 16:46 EDT by Ben Nemec
Modified: 2015-12-15 23:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 23:55:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 242136 None None None Never

  None (edit)
Description Ben Nemec 2015-08-28 16:46:51 EDT
Description of problem: If a controller node in an HA deployment has a major hardware issue, it may be necessary to simply replace it.  Documentation for how to do that has merged upstream (will link the change), but needs to be added to the product docs.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

See https://review.gerrithub.io/#/c/242136/
Comment 3 Andrew Dahms 2015-08-30 19:34:01 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2015-11-20 00:34:56 EST
This is live now:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/Replacing_Controller_Nodes.html

Ben -- Does this addition suit the requirements of the bug? Is there anything I should change in that article?
Comment 6 Ben Nemec 2015-12-04 15:33:20 EST
I haven't actually done this process myself, but the docs seem to agree with the process that I'm told works so from my perspective this is done.
Comment 7 Dan Macpherson 2015-12-15 23:55:41 EST
This has been tested also by the OpenStack QE team. Minor modification required (mainly around keystone config file permissions).

Closing this BZ.

Note You need to log in before you can comment on or make changes to this bug.